#*****************************************************
# RPM Wizard
# Copyright 2001, 2002, 2003 Magnus Bjorklof <bjorklof@nic.fi>
# License: GNU General Public License
#*****************************************************

from qt import *
from wizardPage import WizardPage

class PageOne(WizardPage):
    def __init__(self, parent, name):
	WizardPage.__init__(self, parent, name, verticalItems=5)

	self.WhiteHeader.setText(self.trUtf8("Select file to install"))
	self.WhiteHeader.show()
        self.layout.addWidget(self.WhiteHeader,0,1)

	spacer = QSpacerItem(20,20,QSizePolicy.Minimum,QSizePolicy.Expanding)
        self.layout.addItem(spacer,1,1)


	self.TextLabel1x = QLabel(self,'TextLabel1')
        self.TextLabel1x.setText(self.trUtf8("Please specify an RPM file to install and click Next when you are ready. Click Back if you want to change the installation method.\n"))
	self.TextLabel1x.setAlignment(QLabel.WordBreak | QLabel.AlignVCenter | QLabel.AlignLeft)
	self.layout.addWidget(self.TextLabel1x,2,1)


	hbox = QHBoxLayout()
        hbox.setSpacing(6)
        hbox.setMargin(0)

        self.LineEdit1 = LineEd(self, 'LineEdit1')
        self.LineEdit1.setText(QDir.currentDirPath())
	
	hbox.addWidget(self.LineEdit1)




        self.PushButton1 = QPushButton(self,'PushButton1')
        self.PushButton1.setText(self.trUtf8('Browse...'))
	hbox.addWidget(self.PushButton1)

	self.layout.addLayout(hbox,3,1)

        spacer_2 = QSpacerItem(20,20,QSizePolicy.Minimum,QSizePolicy.Expanding)

	self.layout.addItem(spacer_2,4,1)
 






class LineEd(QLineEdit):
    def __init__(self,layout,name):
	QLineEdit.__init__(self,layout,name)
    def dropEvent(self,e):
    	if e.provides("text/plain")==1:
		pretext=e.encodedData("text/plain")
		text=string.replace(str(pretext), 'file:', '')
		self.setText(string.strip(text))
	else:
		pass
