#*****************************************************
# RPM Wizard
# Copyright 2001, 2002, 2003 Magnus Bjorklof <bjorklof@nic.fi>
# License: GNU General Public License
#*****************************************************

from qt import *
from wizardPage import WizardPage

class PageThree(WizardPage):
    def __init__(self, parent, name):
	WizardPage.__init__(self, parent, name, 7)


	#------- Page 3a ---------
	spacer = QSpacerItem(20,20,QSizePolicy.Expanding,QSizePolicy.Expanding)
        self.layout.addItem(spacer,0,1)

	self.page3a = QLabel(self,'TextLabel4')

        self.page3a.setText(self.trUtf8('Testing package...'))
        self.page3a.setAlignment(QLabel.AlignCenter)

	self.layout.addWidget(self.page3a,1,1)

        spacer_2 = QSpacerItem(20,20,QSizePolicy.Minimum,QSizePolicy.Expanding)
        self.layout.addItem(spacer_2,3,1)



	#------- Page 3b ---------

        self.TextLabel2_3 = QLabel(self,'TextLabel2_3')
        self.TextLabel2_3.setText(self.trUtf8('Installing: ...'))
        self.layout.addWidget(self.TextLabel2_3,1,1)

        self.ProgressBar33 = QProgressBar(self, 'ProgressBar33')
        self.layout.addWidget(self.ProgressBar33,2,1) 


	self.TextLabel2_3.hide()
	self.ProgressBar33.hide()


        #------- Page 3c ---------


	self.page3c = QWidget(self,'Layout23')


        Layout23 = QVBoxLayout(self.page3c)
        Layout23.setSpacing(6)
        Layout23.setMargin(0)

        self.TextLabel3 = QLabel(self.page3c,'TextLabel3')
        self.TextLabel3.setText('')
        TextLabel3_font = QFont(self.TextLabel3.font())
        self.TextLabel3.setFont(TextLabel3_font)
        Layout23.addWidget(self.TextLabel3)

        spacer_3 = QSpacerItem(20,20,QSizePolicy.Minimum,QSizePolicy.Expanding)
        Layout23.addItem(spacer_3)

	self.CheckBox1 = QCheckBox(self.page3c,'CheckBox1')
	self.CheckBox1.setText(self.trUtf8('Install another package'))
	Layout23.addWidget(self.CheckBox1)

	self.desktopCheckbox=QCheckBox(self.page3c,'CheckBox1')
	Layout23.addWidget(self.desktopCheckbox)

	self.launchCheckbox1=QCheckBox(self.page3c,'CheckBox1')

	Layout23.addWidget(self.launchCheckbox1)

	spacer_4 = QSpacerItem(1,1,QSizePolicy.Minimum,QSizePolicy.Expanding)
        Layout23.addItem(spacer_4)

	self.page3c.hide()

	self.layout.addWidget(self.page3c, 1, 1)
	self.hboxLayout=QHBoxLayout()

	spacer_5 = QSpacerItem(1,1,QSizePolicy.Expanding,QSizePolicy.Minimum)
	spacer_6 = QSpacerItem(1,1,QSizePolicy.Expanding,QSizePolicy.Minimum)

	self.hboxLayout.addItem(spacer_5)
	self.hboxLayout.addWidget(self.page3c)
	self.hboxLayout.addItem(spacer_6)

	self.layout.addLayout(self.hboxLayout,1,1)

    def changePage(self, showPage):
    	"""The third page consists of 3 different sets of widgets.
	This method changes between them."""

	if showPage=='a':
        	self.page3a.show()

		self.TextLabel2_3.hide()
		self.ProgressBar33.hide()

		self.page3c.hide()

        elif showPage=='b':
        	self.page3a.hide()

		self.TextLabel2_3.show()
		self.ProgressBar33.show()

		self.page3c.hide()

 	elif showPage=='c':
        	self.page3a.hide()

		self.TextLabel2_3.hide()
		self.ProgressBar33.hide()

		self.page3c.show()

	else:
        	pass
    
