#*****************************************************
# RPM Wizard
# Copyright 2002, 2003 Magnus Bjorklof <bjorklof@nic.fi>
# License: GNU General Public License
#*****************************************************

from qt import *
from wizardPage import WizardPage
from conf import *

class PageList(WizardPage):
    def __init__(self, parent, name):
	WizardPage.__init__(self, parent, name, 6)
	

        self.WhiteHeader.setText(self.trUtf8("Select package to install"))
	self.WhiteHeader.show()
        self.layout.addWidget(self.WhiteHeader,0,1)


        self.TextLabel1 = QLabel(self,'TextLabel1')
        self.TextLabel1.setText(self.trUtf8("Select the name of the package you want to install and click Next when you are ready."))
        self.TextLabel1.setAlignment(QLabel.WordBreak | QLabel.AlignVCenter | QLabel.AlignLeft)
        self.layout.addWidget(self.TextLabel1,1,1)

        spacer = QSpacerItem(20,16,QSizePolicy.Minimum,QSizePolicy.Fixed)
        self.layout.addItem(spacer,2,1)


	self.TextLabel4_2 = QLabel(self,'TextLabel4_2')
        self.TextLabel4_2.setText(self.trUtf8("Search term"))
        self.layout.addWidget(self.TextLabel4_2,3,1)


        self.LineEdit31 = QLineEdit(self,'LineEdit31')
	

        self.layout.addWidget(self.LineEdit31,4,1)


        self.ListBox = QListBox(self,'ListBox')

        self.layout.addWidget(self.ListBox,5,1)
  
