#*****************************************************
# RPM Wizard
# Copyright 2002, 2003 Magnus Bjorklof <bjorklof@nic.fi>
# License: GNU General Public License
#*****************************************************

from qt import *
from wizardPage import WizardPage

class PageZero(WizardPage):
    def __init__(self, parent, name):
	WizardPage.__init__(self, parent, name)


	self.WhiteHeader.setText(self.trUtf8("Choose installation method"))
	self.WhiteHeader.show()
        self.layout.addWidget(self.WhiteHeader,0,1)



        spacer = QSpacerItem(20,20,QSizePolicy.Minimum,QSizePolicy.Expanding)
        self.layout.addItem(spacer,1,1)
        spacer_2 = QSpacerItem(20,20,QSizePolicy.Minimum,QSizePolicy.Expanding)
        self.layout.addItem(spacer_2,3,1)

        self.ButtonGroup1 = QButtonGroup(self,'ButtonGroup1')
        self.ButtonGroup1.setFrameShape(QButtonGroup.NoFrame)
        self.ButtonGroup1.setTitle("")
        self.ButtonGroup1.setExclusive(1)
        self.ButtonGroup1.setColumnLayout(0,Qt.Vertical)
        self.ButtonGroup1.layout().setSpacing(0)
        self.ButtonGroup1.layout().setMargin(0)
        ButtonGroup1Layout = QVBoxLayout(self.ButtonGroup1.layout())
        ButtonGroup1Layout.setAlignment(Qt.AlignTop)
        ButtonGroup1Layout.setSpacing(6)
        ButtonGroup1Layout.setMargin(11)

        self.RadioButton1 = QRadioButton(self.ButtonGroup1,'RadioButton1')
        RadioButton1_font = QFont(self.RadioButton1.font())
        RadioButton1_font.setBold(1)
        self.RadioButton1.setFont(RadioButton1_font)
        self.RadioButton1.setText(self.trUtf8("Install by selecting an RPM file (recommended)"))
        self.RadioButton1.setChecked(1)
        ButtonGroup1Layout.addWidget(self.RadioButton1)

        self.TextLabel2 = QLabel(self.ButtonGroup1,'TextLabel2')
        self.TextLabel2.setText(self.trUtf8("This is the normal way of installing. You will be prompted for the file name of the RPM package you want to install."))
        self.TextLabel2.setAlignment(QLabel.WordBreak | QLabel.AlignVCenter | QLabel.AlignLeft)
        ButtonGroup1Layout.addWidget(self.TextLabel2)
        spacer_3 = QSpacerItem(20,20,QSizePolicy.Minimum,QSizePolicy.Expanding)
        ButtonGroup1Layout.addItem(spacer_3)

        self.RadioButton2 = QRadioButton(self.ButtonGroup1,'RadioButton2')
        RadioButton2_font = QFont(self.RadioButton2.font())
        RadioButton2_font.setBold(1)
        self.RadioButton2.setFont(RadioButton2_font)
        self.RadioButton2.setText(self.trUtf8("Install from a list of known packages"))
        ButtonGroup1Layout.addWidget(self.RadioButton2)

        self.TextLabel3 = QLabel(self.ButtonGroup1,'TextLabel3')
        self.TextLabel3.setText(self.trUtf8("""You will be presented with a list of the packages on your distribution CDs from which you will be able to choose the package to install. This is the best solution if you don't know on which distribution CD the package is located. (Note: Requires the database module.)"""))
	#self.TextLabel3.setText(self.trUtf8("""This option enables you to install packages from your distribution CDs by choosing the package name from a list, i.e. you don't have to know on which CD the package is, just pick the name from the list and you will be prompted for the appropriate CD. (Note: Requires the database module.)"""))

	self.TextLabel3.setAlignment(QLabel.WordBreak | QLabel.AlignVCenter | QLabel.AlignLeft)
        ButtonGroup1Layout.addWidget(self.TextLabel3)

        self.layout.addWidget(self.ButtonGroup1,2,1)


        self.setTabOrder(self.RadioButton1,self.RadioButton2)
   




